import request from '@/utils/request'

// 查询事件相关业务关系列表
export function listRelation(query) {
  return request({
    url: '/eventConfig/relation/list',
    method: 'get',
    params: query
  })
}

// 查询事件相关业务关系详细
export function getRelation(eventId) {
  return request({
    url: '/eventConfig/relation/' + eventId,
    method: 'get'
  })
}

// 新增事件相关业务关系
export function submitBindingRelation(data) {
  return request({
    url: '/eventConfig/relation/submit/binding',
    method: 'post',
    data: data
  })
}

// 新增事件相关业务关系
export function addRelation(data) {
  return request({
    url: '/eventConfig/relation',
    method: 'post',
    data: data
  })
}

// 修改事件相关业务关系
export function updateRelation(data) {
  return request({
    url: '/eventConfig/relation',
    method: 'put',
    data: data
  })
}

// 删除事件相关业务关系
export function delRelation(eventId) {
  return request({
    url: '/eventConfig/relation/' + eventId,
    method: 'delete'
  })
}

// 导出事件相关业务关系
export function exportRelation(query) {
  return request({
    url: '/eventConfig/relation/export',
    method: 'get',
    params: query
  })
}
